Get fiat external account
curl --request GET \
--url https://mapi.zbx.boomfi.xyz/v1/bankAddressBook/{id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://mapi.zbx.boomfi.xyz/v1/bankAddressBook/{id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://mapi.zbx.boomfi.xyz/v1/bankAddressBook/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"account_holder_name": "<string>",
"account_holder_name_hint": "<string>",
"account_number": "<string>",
"account_number_hint": "<string>",
"country": "<string>",
"created_at": "<string>",
"created_by": "<string>",
"currency": "<string>",
"deleted_at": "<string>",
"enabled": true,
"id": 123,
"name": "<string>",
"org_id": "<string>",
"properties": {},
"updated_at": "<string>"
},
"error": true,
"message": "<string>"
}{
"error": {
"code": 400,
"errors": [
{
"domain": "orders",
"reason": "InsufficientQuantity"
}
],
"message": "Insufficient quantity"
}
}{
"error": {
"code": 400,
"errors": [
{
"domain": "orders",
"reason": "InsufficientQuantity"
}
],
"message": "Insufficient quantity"
}
}{
"error": {
"code": 400,
"errors": [
{
"domain": "orders",
"reason": "InsufficientQuantity"
}
],
"message": "Insufficient quantity"
}
}{
"error": {
"code": 400,
"errors": [
{
"domain": "orders",
"reason": "InsufficientQuantity"
}
],
"message": "Insufficient quantity"
}
}Bank Address Book
Get fiat external account
Get a registered fiat settlement (bank) account by id. Pass reveal=true to decrypt account_number and account_holder_name (audit-logged).
GET
/
bankAddressBook
/
{id}
Get fiat external account
Authorizations
Path Parameters
Bank address book entry id
Query Parameters
When true, return decrypted account_number and account_holder_name
⌘I